Bug 1120233 - avahi-daemon manpage references file locations under /home/lennart/tmp
Summary: avahi-daemon manpage references file locations under /home/lennart/tmp
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: avahi
Version: 7.0
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Michal Sekletar
QA Contact: Jan Ščotka
URL:
Whiteboard:
Depends On: 991094
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-16 13:45 UTC by Matthew Davis
Modified: 2015-11-19 15:10 UTC (History)
8 users (show)

Fixed In Version: avahi-0.6.31-15.el7
Doc Type: Bug Fix
Doc Text:
Clone Of: 991094
Environment:
Last Closed: 2015-11-19 15:10:27 UTC


Attachments (Terms of Use)
remove lennart prefix (10.40 KB, patch)
2014-08-25 10:39 UTC, Jan Chaloupka
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:2149 normal SHIPPED_LIVE avahi bug fix update 2015-11-19 12:23:48 UTC

Description Matthew Davis 2014-07-16 13:45:55 UTC
+++ This bug was initially created as a clone of Bug #991094 +++

+++ This bug was initially created as a clone of Bug #863547 +++

For instance:

FILES
       /home/lennart/tmp/avahi/etc/avahi/avahi-daemon.conf: the  default  con‐
       figuration  file for avahi-daemon, avahi-daemon.conf(5) for more infor‐
       mation.

       /home/lennart/tmp/avahi/etc/avahi/hosts:  additional  static   hostname
       mappings to publish in mDNS, see avahi.hosts(5) for more information.

       /home/lennart/tmp/avahi/etc/avahi/services/*.service:   static  service
       definitions, see avahi.service(5) for more information.

...other places in the manpage have similar references.

--- Additional comment from Jeff Layton on 2012-10-05 15:12:55 EDT ---

fwiw, this is in:

avahi-0.6.31-5.fc17.x86_64

--- Additional comment from Ben Liblit on 2013-04-15 22:32:36 EDT ---

All manual pages in this package are affected by the above-reported bug:

    /usr/share/man/man5/avahi-daemon.conf.5.gz
    /usr/share/man/man5/avahi.hosts.5.gz
    /usr/share/man/man5/avahi.service.5.gz
    /usr/share/man/man8/avahi-daemon.8.gz

The problem persists in avahi-0.6.31-6.fc18.i686.

--- Additional comment from Fedora End Of Life on 2013-07-03 20:00:45 EDT ---

This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

--- Additional comment from Ben Liblit on 2013-07-03 21:51:23 EDT ---

The problem persists in Fedora 19, specifically avahi-0.6.31-11.fc19.i686.  Someone should update the Version field accordingly so that this bug remains open.  Alas, I cannot.

--- Additional comment from Fedora End Of Life on 2013-07-31 23:14:36 EDT ---

Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

--- Additional comment from Ben Liblit on 2013-07-31 23:28:39 EDT ---

Per comment #4, the problem persists in Fedora 19, specifically avahi-0.6.31-11.fc19.  Someone should update the Version field accordingly and reopen the bug.  Alas, I cannot.  Perhaps the original reporter (Jeff Layton <jlayton@redhat.com>) can?

--- Additional comment from Jon Kent on 2013-09-15 17:49:55 EDT ---

Hi,

Would be nice to see some movement on this as I've just bumped across this.  Seem like this is going be a simple fix so bit confused why this is taking so long to resolve.

Jon

--- Additional comment from Richard Michael on 2013-11-29 13:24:33 EST ---

Still present in Fedora 20 beta.

Comment 1 Matthew Davis 2014-07-16 13:46:56 UTC
This has now made it's way into RHEL.

[root@host203.rdu man]$ rpm -q avahi
avahi-0.6.31-13.el7.x86_64
[root@host203.rdu man]$ man avahi-daemon|grep lenn
       Upon startup avahi-daemon interprets its configuration file /home/lennart/tmp/avahi/etc/avahi/avahi-daemon.conf and reads XML fragments from /home/lennart/tmp/avahi/etc/avahi/services/*.service which may define static DNS-SD
              Specify the configuration file to read. (default: /home/lennart/tmp/avahi/etc/avahi/avahi-daemon.conf)
              Tell an already running avahi-daemon to reread /etc/resolv.conf (in case you enabled publish-resolv-conf-dns-servers in avahi-daemon.conf) the files from /home/lennart/tmp/avahi/etc/avahi/services/. Please  note  that
              this will not reload the /home/lennart/tmp/avahi/etc/avahi/avahi-daemon.conf. (equivalent to sending a SIGHUP)
       /home/lennart/tmp/avahi/etc/avahi/avahi-daemon.conf: the default configuration file for avahi-daemon, avahi-daemon.conf(5) for more information.
       /home/lennart/tmp/avahi/etc/avahi/hosts: additional static hostname mappings to publish in mDNS, see avahi.hosts(5) for more information.
       /home/lennart/tmp/avahi/etc/avahi/services/*.service: static service definitions, see avahi.service(5) for more information.
       SIGHUP: avahi-daemon will reload unicast DNS server data from /etc/resolv.conf and static service definitions from /home/lennart/tmp/avahi/etc/avahi/services/. (Same as --reload)

Comment 3 Jan Chaloupka 2014-08-25 10:39:50 UTC
Created attachment 930418 [details]
remove lennart prefix

Plus

avahi-autoipd.8
avahi-autoipd.action.8
avahi-dnsconfd.8
avahi-dnsconfd.action.8

experience the same problem.

Comment 4 Jan Chaloupka 2014-08-25 10:40:54 UTC
Still present on fedora master branch. All files except /etc/avahi/avahi-dnsconfd.action exist.

Comment 9 errata-xmlrpc 2015-11-19 15:10:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-2149.html


Note You need to log in before you can comment on or make changes to this bug.